httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 52802] New: Unable to Build Apache 2.4.1 on Solaris/X86 - Linker Problem
Date Thu, 01 Mar 2012 09:51:19 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=52802

             Bug #: 52802
           Summary: Unable to Build Apache 2.4.1 on Solaris/X86 - Linker
                    Problem
           Product: Apache httpd-2
           Version: 2.4.1
          Platform: PC
        OS/Version: Solaris
            Status: NEW
          Severity: normal
          Priority: P2
         Component: Build
        AssignedTo: bugs@httpd.apache.org
        ReportedBy: fabian.dahms@gmx.net
    Classification: Unclassified


Hello,

i have some trouble with built the Apache 2.4.1 under Solaris X86 with OpenSSL
OpenSSL 1.0.0g 18
My System is a X86 DEll System with SunSolaris 10
uname -a:
SunOS uzktr 5.10 Generic_147441-01 i86pc i386 i86pc

It seems that there is a problem in the Makefile with linking the OpenSSL
objects.
The follow configure options are used:

./configure \
--disable-nls \
--with-apxs2 \
--enable-fastcgi \
--disable-short-tags \
--with-openssl \
--with-zlib \
--with-imap-ssl \
--with-mysql \
--with-mysqli \
--with-pdo-pgsql \
--with-pdo-sqlite \
--with-pgsql \
--with-readline \
--enable-soap \
--enable-sockets \
--enable-sqlite-utf8 \
--enable-zip \
--with-zend-vm \
--enable-static-support \
--enable-static-htpasswd \
--enable-static-rotatelogs \
--enable-static-logresolve \
--enable-static-htdbm \
--enable-static-ab \
--enable-static-checkgid \
--enable-static-htcacheclean \
--enable-static-httxt2dbm \
--enable-ssl \
--with-ssl=/opt/ae \
--prefix=/opt/fd/apache2 \
--with-apr=/opt/ae

Here the output from the Configure:
http://www.wholewildworld.de/portal/upload/fabi65/configure_echo

Then i try to build the sources. But  the try to link the openssl libs he
doesn't find round about 17.000 symbols!?

The output from gmake:
http://www.wholewildworld.de/portal/upload/fabi65/gmake_echo

By the way: The Apache 2.2.22 is buildable on my system.

Thanks for you help!

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message